parse_and_format_results = {
	(1,	"Mi",	"B"):	"                1MiB"	,
	(1,	"Mi",	"b"):	"              128kiB"	,
	(1,	"E",	"B"):	"                1EB "	,
	(1,	"E",	"b"):	"         111.0223PiB"	,
	(1,	"T",	"B"):	"                1TB "	,
	(1,	"T",	"b"):	"         116.4153GiB"	,
	(1,	"Pi",	"B"):	"                1PiB"	,
	(1,	"Pi",	"b"):	"              128TiB"	,
	(1,	"P",	"B"):	"                1PB "	,
	(1,	"P",	"b"):	"         113.6868TiB"	,
	(1,	"Ei",	"B"):	"                1EiB"	,
	(1,	"Ei",	"b"):	"              128PiB"	,
	(1,	"Zi",	"B"):	"                1ZiB"	,
	(1,	"Zi",	"b"):	"              128EiB"	,
	(1,	"Gi",	"B"):	"                1GiB"	,
	(1,	"Gi",	"b"):	"              128MiB"	,
	(1,	"k",	"B"):	"                1kB "	,
	(1,	"k",	"b"):	"              125B  "	,
	(1,	"G",	"B"):	"                1GB "	,
	(1,	"G",	"b"):	"         119.2093MiB"	,
	(1,	"M",	"B"):	"                1MB "	,
	(1,	"M",	"b"):	"         122.0703kiB"	,
	(1,	"Ti",	"B"):	"                1TiB"	,
	(1,	"Ti",	"b"):	"              128GiB"	,
	(1,	"Yi",	"B"):	"                1YiB"	,
	(1,	"Yi",	"b"):	"              128ZiB"	,
	(1,	"Y",	"B"):	"         847.0329ZiB"	,
	(1,	"Y",	"b"):	"         105.8791ZiB"	,
	(1,	"Z",	"B"):	"                1ZB "	,
	(1,	"Z",	"b"):	"         108.4202EiB"	,
	(1,	"ki",	"B"):	"                1kiB"	,
	(1,	"ki",	"b"):	"              128B  "	,
	(2,	"Mi",	"B"):	"                2MiB"	,
	(2,	"Mi",	"b"):	"              256kiB"	,
	(2,	"E",	"B"):	"           1.7347EiB"	,
	(2,	"E",	"b"):	"         222.0446PiB"	,
	(2,	"T",	"B"):	"           1.8190TiB"	,
	(2,	"T",	"b"):	"         232.8306GiB"	,
	(2,	"Pi",	"B"):	"                2PiB"	,
	(2,	"Pi",	"b"):	"              256TiB"	,
	(2,	"P",	"B"):	"           1.7764PiB"	,
	(2,	"P",	"b"):	"         227.3737TiB"	,
	(2,	"Ei",	"B"):	"                2EiB"	,
	(2,	"Ei",	"b"):	"              256PiB"	,
	(2,	"Zi",	"B"):	"                2ZiB"	,
	(2,	"Zi",	"b"):	"              256EiB"	,
	(2,	"Gi",	"B"):	"                2GiB"	,
	(2,	"Gi",	"b"):	"              256MiB"	,
	(2,	"k",	"B"):	"           1.9531kiB"	,
	(2,	"k",	"b"):	"              250B  "	,
	(2,	"G",	"B"):	"           1.8626GiB"	,
	(2,	"G",	"b"):	"         238.4186MiB"	,
	(2,	"M",	"B"):	"           1.9073MiB"	,
	(2,	"M",	"b"):	"         244.1406kiB"	,
	(2,	"Ti",	"B"):	"                2TiB"	,
	(2,	"Ti",	"b"):	"              256GiB"	,
	(2,	"Yi",	"B"):	"                2YiB"	,
	(2,	"Yi",	"b"):	"              256ZiB"	,
	(2,	"Y",	"B"):	"           1.6544YiB"	,
	(2,	"Y",	"b"):	"         211.7582ZiB"	,
	(2,	"Z",	"B"):	"           1.6941ZiB"	,
	(2,	"Z",	"b"):	"         216.8404EiB"	,
	(2,	"ki",	"B"):	"                2kiB"	,
	(2,	"ki",	"b"):	"              256B  "	,
	(4,	"Mi",	"B"):	"                4MiB"	,
	(4,	"Mi",	"b"):	"              512kiB"	,
	(4,	"E",	"B"):	"           3.4694EiB"	,
	(4,	"E",	"b"):	"         444.0892PiB"	,
	(4,	"T",	"B"):	"           3.6380TiB"	,
	(4,	"T",	"b"):	"         465.6613GiB"	,
	(4,	"Pi",	"B"):	"                4PiB"	,
	(4,	"Pi",	"b"):	"              512TiB"	,
	(4,	"P",	"B"):	"           3.5527PiB"	,
	(4,	"P",	"b"):	"         454.7474TiB"	,
	(4,	"Ei",	"B"):	"                4EiB"	,
	(4,	"Ei",	"b"):	"              512PiB"	,
	(4,	"Zi",	"B"):	"                4ZiB"	,
	(4,	"Zi",	"b"):	"              512EiB"	,
	(4,	"Gi",	"B"):	"                4GiB"	,
	(4,	"Gi",	"b"):	"              512MiB"	,
	(4,	"k",	"B"):	"           3.9062kiB"	,
	(4,	"k",	"b"):	"              500B  "	,
	(4,	"G",	"B"):	"           3.7253GiB"	,
	(4,	"G",	"b"):	"         476.8372MiB"	,
	(4,	"M",	"B"):	"           3.8147MiB"	,
	(4,	"M",	"b"):	"         488.2812kiB"	,
	(4,	"Ti",	"B"):	"                4TiB"	,
	(4,	"Ti",	"b"):	"              512GiB"	,
	(4,	"Yi",	"B"):	"                4YiB"	,
	(4,	"Yi",	"b"):	"              512ZiB"	,
	(4,	"Y",	"B"):	"           3.3087YiB"	,
	(4,	"Y",	"b"):	"         423.5165ZiB"	,
	(4,	"Z",	"B"):	"           3.3881ZiB"	,
	(4,	"Z",	"b"):	"         433.6809EiB"	,
	(4,	"ki",	"B"):	"                4kiB"	,
	(4,	"ki",	"b"):	"              512B  "	,
	(16,	"Mi",	"B"):	"               16MiB"	,
	(16,	"Mi",	"b"):	"                2MiB"	,
	(16,	"E",	"B"):	"          13.8778EiB"	,
	(16,	"E",	"b"):	"           1.7347EiB"	,
	(16,	"T",	"B"):	"          14.5519TiB"	,
	(16,	"T",	"b"):	"           1.8190TiB"	,
	(16,	"Pi",	"B"):	"               16PiB"	,
	(16,	"Pi",	"b"):	"                2PiB"	,
	(16,	"P",	"B"):	"          14.2109PiB"	,
	(16,	"P",	"b"):	"           1.7764PiB"	,
	(16,	"Ei",	"B"):	"               16EiB"	,
	(16,	"Ei",	"b"):	"                2EiB"	,
	(16,	"Zi",	"B"):	"               16ZiB"	,
	(16,	"Zi",	"b"):	"                2ZiB"	,
	(16,	"Gi",	"B"):	"               16GiB"	,
	(16,	"Gi",	"b"):	"                2GiB"	,
	(16,	"k",	"B"):	"          15.6250kiB"	,
	(16,	"k",	"b"):	"           1.9531kiB"	,
	(16,	"G",	"B"):	"          14.9012GiB"	,
	(16,	"G",	"b"):	"           1.8626GiB"	,
	(16,	"M",	"B"):	"          15.2588MiB"	,
	(16,	"M",	"b"):	"           1.9073MiB"	,
	(16,	"Ti",	"B"):	"               16TiB"	,
	(16,	"Ti",	"b"):	"                2TiB"	,
	(16,	"Yi",	"B"):	"               16YiB"	,
	(16,	"Yi",	"b"):	"                2YiB"	,
	(16,	"Y",	"B"):	"          13.2349YiB"	,
	(16,	"Y",	"b"):	"           1.6544YiB"	,
	(16,	"Z",	"B"):	"          13.5525ZiB"	,
	(16,	"Z",	"b"):	"           1.6941ZiB"	,
	(16,	"ki",	"B"):	"               16kiB"	,
	(16,	"ki",	"b"):	"                2kiB"	,
	(64,	"Mi",	"B"):	"               64MiB"	,
	(64,	"Mi",	"b"):	"                8MiB"	,
	(64,	"E",	"B"):	"          55.5112EiB"	,
	(64,	"E",	"b"):	"           6.9389EiB"	,
	(64,	"T",	"B"):	"          58.2077TiB"	,
	(64,	"T",	"b"):	"           7.2760TiB"	,
	(64,	"Pi",	"B"):	"               64PiB"	,
	(64,	"Pi",	"b"):	"                8PiB"	,
	(64,	"P",	"B"):	"          56.8434PiB"	,
	(64,	"P",	"b"):	"           7.1054PiB"	,
	(64,	"Ei",	"B"):	"               64EiB"	,
	(64,	"Ei",	"b"):	"                8EiB"	,
	(64,	"Zi",	"B"):	"               64ZiB"	,
	(64,	"Zi",	"b"):	"                8ZiB"	,
	(64,	"Gi",	"B"):	"               64GiB"	,
	(64,	"Gi",	"b"):	"                8GiB"	,
	(64,	"k",	"B"):	"          62.5000kiB"	,
	(64,	"k",	"b"):	"           7.8125kiB"	,
	(64,	"G",	"B"):	"          59.6046GiB"	,
	(64,	"G",	"b"):	"           7.4506GiB"	,
	(64,	"M",	"B"):	"          61.0352MiB"	,
	(64,	"M",	"b"):	"           7.6294MiB"	,
	(64,	"Ti",	"B"):	"               64TiB"	,
	(64,	"Ti",	"b"):	"                8TiB"	,
	(64,	"Yi",	"B"):	"               64YiB"	,
	(64,	"Yi",	"b"):	"                8YiB"	,
	(64,	"Y",	"B"):	"          52.9396YiB"	,
	(64,	"Y",	"b"):	"           6.6174YiB"	,
	(64,	"Z",	"B"):	"          54.2101ZiB"	,
	(64,	"Z",	"b"):	"           6.7763ZiB"	,
	(64,	"ki",	"B"):	"               64kiB"	,
	(64,	"ki",	"b"):	"                8kiB"	,
	(1024,	"Mi",	"B"):	"                1GiB"	,
	(1024,	"Mi",	"b"):	"              128MiB"	,
	(1024,	"E",	"B"):	"           1.0240ZB "	,
	(1024,	"E",	"b"):	"         111.0223EiB"	,
	(1024,	"T",	"B"):	"           1.0240PB "	,
	(1024,	"T",	"b"):	"         116.4153TiB"	,
	(1024,	"Pi",	"B"):	"                1EiB"	,
	(1024,	"Pi",	"b"):	"              128PiB"	,
	(1024,	"P",	"B"):	"           1.0240EB "	,
	(1024,	"P",	"b"):	"         113.6868PiB"	,
	(1024,	"Ei",	"B"):	"                1ZiB"	,
	(1024,	"Ei",	"b"):	"              128EiB"	,
	(1024,	"Zi",	"B"):	"                1YiB"	,
	(1024,	"Zi",	"b"):	"              128ZiB"	,
	(1024,	"Gi",	"B"):	"                1TiB"	,
	(1024,	"Gi",	"b"):	"              128GiB"	,
	(1024,	"k",	"B"):	"           1.0240MB "	,
	(1024,	"k",	"b"):	"              125kiB"	,
	(1024,	"G",	"B"):	"           1.0240TB "	,
	(1024,	"G",	"b"):	"         119.2093GiB"	,
	(1024,	"M",	"B"):	"           1.0240GB "	,
	(1024,	"M",	"b"):	"         122.0703MiB"	,
	(1024,	"Ti",	"B"):	"                1PiB"	,
	(1024,	"Ti",	"b"):	"              128TiB"	,
	(1024,	"Yi",	"B"):	"             1024YiB"	,
	(1024,	"Yi",	"b"):	"              128YiB"	,
	(1024,	"Y",	"B"):	"         847.0329YiB"	,
	(1024,	"Y",	"b"):	"         105.8791YiB"	,
	(1024,	"Z",	"B"):	"           1.0240YB "	,
	(1024,	"Z",	"b"):	"         108.4202ZiB"	,
	(1024,	"ki",	"B"):	"                1MiB"	,
	(1024,	"ki",	"b"):	"              128kiB"	,
	(65536,	"Mi",	"B"):	"               64GiB"	,
	(65536,	"Mi",	"b"):	"                8GiB"	,
	(65536,	"E",	"B"):	"          55.5112ZiB"	,
	(65536,	"E",	"b"):	"           6.9389ZiB"	,
	(65536,	"T",	"B"):	"          58.2077PiB"	,
	(65536,	"T",	"b"):	"           7.2760PiB"	,
	(65536,	"Pi",	"B"):	"               64EiB"	,
	(65536,	"Pi",	"b"):	"                8EiB"	,
	(65536,	"P",	"B"):	"          56.8434EiB"	,
	(65536,	"P",	"b"):	"           7.1054EiB"	,
	(65536,	"Ei",	"B"):	"               64ZiB"	,
	(65536,	"Ei",	"b"):	"                8ZiB"	,
	(65536,	"Zi",	"B"):	"               64YiB"	,
	(65536,	"Zi",	"b"):	"                8YiB"	,
	(65536,	"Gi",	"B"):	"               64TiB"	,
	(65536,	"Gi",	"b"):	"                8TiB"	,
	(65536,	"k",	"B"):	"          62.5000MiB"	,
	(65536,	"k",	"b"):	"           7.8125MiB"	,
	(65536,	"G",	"B"):	"          59.6046TiB"	,
	(65536,	"G",	"b"):	"           7.4506TiB"	,
	(65536,	"M",	"B"):	"          61.0352GiB"	,
	(65536,	"M",	"b"):	"           7.6294GiB"	,
	(65536,	"Ti",	"B"):	"               64PiB"	,
	(65536,	"Ti",	"b"):	"                8PiB"	,
	(65536,	"Yi",	"B"):	"            65536YiB"	,
	(65536,	"Yi",	"b"):	"             8192YiB"	,
	(65536,	"Y",	"B"):	"       54210.1086YiB"	,
	(65536,	"Y",	"b"):	"        6776.2636YiB"	,
	(65536,	"Z",	"B"):	"          54.2101YiB"	,
	(65536,	"Z",	"b"):	"           6.7763YiB"	,
	(65536,	"ki",	"B"):	"               64MiB"	,
	(65536,	"ki",	"b"):	"                8MiB"	,
	(0.1,	"Mi",	"B"):	"         102.4004kiB"	,
	(0.1,	"Mi",	"b"):	"          12.8008kiB"	,
	(0.1,	"E",	"B"):	"          88.8178PiB"	,
	(0.1,	"E",	"b"):	"          11.1022PiB"	,
	(0.1,	"T",	"B"):	"          93.1323GiB"	,
	(0.1,	"T",	"b"):	"          11.6415GiB"	,
	(0.1,	"Pi",	"B"):	"         102.4000TiB"	,
	(0.1,	"Pi",	"b"):	"          12.8000TiB"	,
	(0.1,	"P",	"B"):	"          90.9495TiB"	,
	(0.1,	"P",	"b"):	"          11.3687TiB"	,
	(0.1,	"Ei",	"B"):	"         102.4000PiB"	,
	(0.1,	"Ei",	"b"):	"          12.8000PiB"	,
	(0.1,	"Zi",	"B"):	"         102.4000EiB"	,
	(0.1,	"Zi",	"b"):	"          12.8000EiB"	,
	(0.1,	"Gi",	"B"):	"         102.4000MiB"	,
	(0.1,	"Gi",	"b"):	"          12.8000MiB"	,
	(0.1,	"k",	"B"):	"              100B  "	,
	(0.1,	"k",	"b"):	"               13B  "	,
	(0.1,	"G",	"B"):	"          95.3674MiB"	,
	(0.1,	"G",	"b"):	"          11.9209MiB"	,
	(0.1,	"M",	"B"):	"          97.6562kiB"	,
	(0.1,	"M",	"b"):	"          12.2070kiB"	,
	(0.1,	"Ti",	"B"):	"         102.4000GiB"	,
	(0.1,	"Ti",	"b"):	"          12.8000GiB"	,
	(0.1,	"Yi",	"B"):	"         102.4000ZiB"	,
	(0.1,	"Yi",	"b"):	"          12.8000ZiB"	,
	(0.1,	"Y",	"B"):	"          84.7033ZiB"	,
	(0.1,	"Y",	"b"):	"          10.5879ZiB"	,
	(0.1,	"Z",	"B"):	"          86.7362EiB"	,
	(0.1,	"Z",	"b"):	"          10.8420EiB"	,
	(0.1,	"ki",	"B"):	"              103B  "	,
	(0.1,	"ki",	"b"):	"               13B  "	,
	(0.25,	"Mi",	"B"):	"              256kiB"	,
	(0.25,	"Mi",	"b"):	"               32kiB"	,
	(0.25,	"E",	"B"):	"         222.0446PiB"	,
	(0.25,	"E",	"b"):	"          27.7556PiB"	,
	(0.25,	"T",	"B"):	"         232.8306GiB"	,
	(0.25,	"T",	"b"):	"          29.1038GiB"	,
	(0.25,	"Pi",	"B"):	"              256TiB"	,
	(0.25,	"Pi",	"b"):	"               32TiB"	,
	(0.25,	"P",	"B"):	"         227.3737TiB"	,
	(0.25,	"P",	"b"):	"          28.4217TiB"	,
	(0.25,	"Ei",	"B"):	"              256PiB"	,
	(0.25,	"Ei",	"b"):	"               32PiB"	,
	(0.25,	"Zi",	"B"):	"              256EiB"	,
	(0.25,	"Zi",	"b"):	"               32EiB"	,
	(0.25,	"Gi",	"B"):	"              256MiB"	,
	(0.25,	"Gi",	"b"):	"               32MiB"	,
	(0.25,	"k",	"B"):	"              250B  "	,
	(0.25,	"k",	"b"):	"               32B  "	,
	(0.25,	"G",	"B"):	"         238.4186MiB"	,
	(0.25,	"G",	"b"):	"          29.8023MiB"	,
	(0.25,	"M",	"B"):	"         244.1406kiB"	,
	(0.25,	"M",	"b"):	"          30.5176kiB"	,
	(0.25,	"Ti",	"B"):	"              256GiB"	,
	(0.25,	"Ti",	"b"):	"               32GiB"	,
	(0.25,	"Yi",	"B"):	"              256ZiB"	,
	(0.25,	"Yi",	"b"):	"               32ZiB"	,
	(0.25,	"Y",	"B"):	"         211.7582ZiB"	,
	(0.25,	"Y",	"b"):	"          26.4698ZiB"	,
	(0.25,	"Z",	"B"):	"         216.8404EiB"	,
	(0.25,	"Z",	"b"):	"          27.1051EiB"	,
	(0.25,	"ki",	"B"):	"              256B  "	,
	(0.25,	"ki",	"b"):	"               32B  "	,
	(0.125,	"Mi",	"B"):	"              128kiB"	,
	(0.125,	"Mi",	"b"):	"               16kiB"	,
	(0.125,	"E",	"B"):	"         111.0223PiB"	,
	(0.125,	"E",	"b"):	"          13.8778PiB"	,
	(0.125,	"T",	"B"):	"         116.4153GiB"	,
	(0.125,	"T",	"b"):	"          14.5519GiB"	,
	(0.125,	"Pi",	"B"):	"              128TiB"	,
	(0.125,	"Pi",	"b"):	"               16TiB"	,
	(0.125,	"P",	"B"):	"         113.6868TiB"	,
	(0.125,	"P",	"b"):	"          14.2109TiB"	,
	(0.125,	"Ei",	"B"):	"              128PiB"	,
	(0.125,	"Ei",	"b"):	"               16PiB"	,
	(0.125,	"Zi",	"B"):	"              128EiB"	,
	(0.125,	"Zi",	"b"):	"               16EiB"	,
	(0.125,	"Gi",	"B"):	"              128MiB"	,
	(0.125,	"Gi",	"b"):	"               16MiB"	,
	(0.125,	"k",	"B"):	"              125B  "	,
	(0.125,	"k",	"b"):	"               16B  "	,
	(0.125,	"G",	"B"):	"         119.2093MiB"	,
	(0.125,	"G",	"b"):	"          14.9012MiB"	,
	(0.125,	"M",	"B"):	"         122.0703kiB"	,
	(0.125,	"M",	"b"):	"          15.2588kiB"	,
	(0.125,	"Ti",	"B"):	"              128GiB"	,
	(0.125,	"Ti",	"b"):	"               16GiB"	,
	(0.125,	"Yi",	"B"):	"              128ZiB"	,
	(0.125,	"Yi",	"b"):	"               16ZiB"	,
	(0.125,	"Y",	"B"):	"         105.8791ZiB"	,
	(0.125,	"Y",	"b"):	"          13.2349ZiB"	,
	(0.125,	"Z",	"B"):	"         108.4202EiB"	,
	(0.125,	"Z",	"b"):	"          13.5525EiB"	,
	(0.125,	"ki",	"B"):	"              128B  "	,
	(0.125,	"ki",	"b"):	"               16B  "	,
	(56.65,	"Mi",	"B"):	"          56.6500MiB"	,
	(56.65,	"Mi",	"b"):	"           7.0813MiB"	,
	(56.65,	"E",	"B"):	"          49.1360EiB"	,
	(56.65,	"E",	"b"):	"           6.1420EiB"	,
	(56.65,	"T",	"B"):	"          51.5229TiB"	,
	(56.65,	"T",	"b"):	"           6.4404TiB"	,
	(56.65,	"Pi",	"B"):	"          56.6500PiB"	,
	(56.65,	"Pi",	"b"):	"           7.0812PiB"	,
	(56.65,	"P",	"B"):	"          50.3153PiB"	,
	(56.65,	"P",	"b"):	"           6.2894PiB"	,
	(56.65,	"Ei",	"B"):	"          56.6500EiB"	,
	(56.65,	"Ei",	"b"):	"           7.0812EiB"	,
	(56.65,	"Zi",	"B"):	"          56.6500ZiB"	,
	(56.65,	"Zi",	"b"):	"           7.0812ZiB"	,
	(56.65,	"Gi",	"B"):	"          56.6500GiB"	,
	(56.65,	"Gi",	"b"):	"           7.0813GiB"	,
	(56.65,	"k",	"B"):	"          55.3223kiB"	,
	(56.65,	"k",	"b"):	"           6.9160kiB"	,
	(56.65,	"G",	"B"):	"          52.7594GiB"	,
	(56.65,	"G",	"b"):	"           6.5949GiB"	,
	(56.65,	"M",	"B"):	"          54.0257MiB"	,
	(56.65,	"M",	"b"):	"           6.7532MiB"	,
	(56.65,	"Ti",	"B"):	"          56.6500TiB"	,
	(56.65,	"Ti",	"b"):	"           7.0813TiB"	,
	(56.65,	"Yi",	"B"):	"          56.6500YiB"	,
	(56.65,	"Yi",	"b"):	"           7.0812YiB"	,
	(56.65,	"Y",	"B"):	"          46.8598YiB"	,
	(56.65,	"Y",	"b"):	"           5.8575YiB"	,
	(56.65,	"Z",	"B"):	"          47.9844ZiB"	,
	(56.65,	"Z",	"b"):	"           5.9981ZiB"	,
	(56.65,	"ki",	"B"):	"          56.6504kiB"	,
	(56.65,	"ki",	"b"):	"           7.0820kiB"	,
	(512,	"a",	""):	"              512B  "	,
	(512,	"a",	"b"):	"               64B  "	,
	(512,	"A",	""):	"              512B  "	,
	(512,	"A",	"b"):	"               64B  "	,
	(65536,	"a",	""):	"               64kiB"	,
	(65536,	"a",	"b"):	"                8kiB"	,
	(65536,	"A",	""):	"               64kiB"	,
	(65536,	"A",	"b"):	"                8kiB"	,
	(64,	"a",	""):	"               64B  "	,
	(64,	"a",	"b"):	"                8B  "	,
	(64,	"A",	""):	"               64B  "	,
	(64,	"A",	"b"):	"                8B  "	,
}
